Bug 1807252 - bootloader entry missing after installation on armhfp
Summary: bootloader entry missing after installation on armhfp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 32
Hardware: armhfp
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: ARMTracker BetaBlocker, F32BetaBlocker BetaFreezeException, F32BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-02-25 22:13 UTC by Paul Whalen
Modified: 2020-03-22 03:09 UTC (History)
12 users (show)

Fixed In Version: anaconda-32.24.2-3 anaconda-32.24.2-3.fc32 anaconda-32.24.3-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 14:26:37 UTC
Type: Bug


Attachments (Terms of Use)
anaconda log (36.81 KB, text/plain)
2020-02-25 22:15 UTC, Paul Whalen
no flags Details
dbus log (2.96 KB, text/plain)
2020-02-25 22:16 UTC, Paul Whalen
no flags Details
packaging log (177.09 KB, text/plain)
2020-02-25 22:16 UTC, Paul Whalen
no flags Details
program log (4.26 KB, text/plain)
2020-02-25 22:17 UTC, Paul Whalen
no flags Details
storage log (2.89 KB, text/plain)
2020-02-25 22:17 UTC, Paul Whalen
no flags Details
syslog (701.16 KB, text/plain)
2020-02-25 22:18 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2020-02-25 22:13:30 UTC
Description of problem:

As of Fedora-32-20200221.n.0, there is no longer a kernel entry in /boot/extlinux.conf for the install kernel, with only a rescue boot entry:


default Fedora(0-rescue-45cca4fc0f2a4e55b0bb04d83e189fa3)

label Fedora(0-rescue-45cca4fc0f2a4e55b0bb04d83e189fa3)
	kernel /vmlinuz-0-rescue-45cca4fc0f2a4e55b0bb04d83e189fa3
	initrd /initramfs-0-rescue-45cca4fc0f2a4e55b0bb04d83e189fa3.img
	append root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap console=ttyAMA0
	fdtdir /dtb-0-rescue-45cca4fc0f2a4e55b0bb04d83e189fa3

default Fedora(5.6.0-0.rc2.git0.1.fc32.armv7hl+lpae)

extlinux.conf from Fedora-32-20200220.n.0:

label Fedora(5.6.0-0.rc2.git0.1.fc32.armv7hl+lpae)
	kernel /vmlinuz-5.6.0-0.rc2.git0.1.fc32.armv7hl+lpae
	initrd /initramfs-5.6.0-0.rc2.git0.1.fc32.armv7hl+lpae.img
	append root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap console=ttyAMA0 LANG=en_US.UTF-8
	fdtdir /dtb-5.6.0-0.rc2.git0.1.fc32.armv7hl+lpae

label Fedora-0-rescue-60fe9194e6074740b8d2b11e0b9a2408(0-rescue-60fe9194e6074740b8d2b11e0b9a2408)
	kernel /vmlinuz-0-rescue-60fe9194e6074740b8d2b11e0b9a2408
	initrd /initramfs-0-rescue-60fe9194e6074740b8d2b11e0b9a2408.img
	append root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap console=ttyAMA0
	fdtdir /dtb-0-rescue-60fe9194e6074740b8d2b11e0b9a2408



Version-Release number of selected component (if applicable):
anaconda-32.24.1-1.fc32

Comment 1 Paul Whalen 2020-02-25 22:15:46 UTC
Created attachment 1665737 [details]
anaconda log

Comment 2 Paul Whalen 2020-02-25 22:16:16 UTC
Created attachment 1665738 [details]
dbus log

Comment 3 Paul Whalen 2020-02-25 22:16:56 UTC
Created attachment 1665739 [details]
packaging log

Comment 4 Paul Whalen 2020-02-25 22:17:22 UTC
Created attachment 1665740 [details]
program log

Comment 5 Paul Whalen 2020-02-25 22:17:51 UTC
Created attachment 1665741 [details]
storage log

Comment 6 Paul Whalen 2020-02-25 22:18:36 UTC
Created attachment 1665742 [details]
syslog

Comment 7 Vendula Poncova 2020-03-01 10:25:13 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/2346

Comment 8 Fedora Blocker Bugs Application 2020-03-02 08:11:46 UTC
Proposed as a Blocker for 32-beta by Fedora user pbrobinson using the blocker tracking app because:

 Causing issues on installing ARMv7 systems.

Comment 9 Geoffrey Marr 2020-03-02 20:16:43 UTC
Discussed during the 2020-03-02 blocker review meeting: [0]

The decision to delay the classification of this as a blocker bug was made as while would accept this bug as a blocker, we are unsure if the criteria apply to 32-bit ARM images. We will get clarification on this and make a decision next meeting.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-02/f32-blocker-review.2020-03-02-17.00.txt

Comment 10 Vendula Poncova 2020-03-04 14:19:07 UTC
Fixed in Rawhide: anaconda-33.2-1

Comment 11 Adam Williamson 2020-03-07 18:07:26 UTC
Geoffrey overlooked it, but this was accepted as a Beta FE in the meeting:

"AGREED: punt (delay decision) on blocker, AcceptedFreezeException (Beta), provisionally accepted as a blocker if any 32-bit ARM installer issues can be blockers - this is clearly a blocker *if 32-bit ARM installer issues can be blockers*, we are currently not entirely clear on that point. we will clear this up in discussion with ARM folks and FESCo and update bug as appropriate"

marking as AcceptedFE. Vendula, can we have it in the next 32 build? Thanks!

Comment 12 Fedora Update System 2020-03-09 13:57:27 UTC
FEDORA-2020-e6435e1b12 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e6435e1b12

Comment 13 Adam Williamson 2020-03-09 16:22:10 UTC
I created a FESCo ticket to settle the question of whether we ought to block on bugs like this:

https://pagure.io/fesco/issue/2354

Comment 14 Geoffrey Marr 2020-03-09 23:53:05 UTC
Discussed during the 2020-03-09 blocker review meeting: [0]

The decision to delay the classification of this as a blocker bug was made as we still don't have definitive word on whether we should block on 32-bit ARM installer issues currently, but this is accepted FE and a fix will be included in the next build.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-09/f32-blocker-review.2020-03-09-16.01.txt

Comment 15 Adam Williamson 2020-03-10 01:49:32 UTC
properly tag as accepted FE :/

Comment 16 Fedora Update System 2020-03-10 18:05:59 UTC
anaconda-32.24.2-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e6435e1b12

Comment 17 Stephen Gallagher 2020-03-10 19:12:16 UTC
This is a blocker per FESCo decision in https://pagure.io/fesco/issue/2339#comment-628299

Comment 18 Adam Williamson 2020-03-10 21:13:06 UTC
Er. Did you link to the wrong ticket? That one doesn't seem relevant to this bug. That was about changing the ARM blocking desktop from Xfce on 32-bit ARM to Workstation on 64-bit ARM.

Comment 19 Stephen Gallagher 2020-03-11 00:44:49 UTC
(In reply to Adam Williamson from comment #18)
> Er. Did you link to the wrong ticket? That one doesn't seem relevant to this
> bug. That was about changing the ARM blocking desktop from Xfce on 32-bit
> ARM to Workstation on 64-bit ARM.

You're correct. I was confusing this with https://pagure.io/fesco/issue/2354 which is still undecided (though it looks likely to be declared blocking once the rest of FESCo votes).

Comment 20 Fedora Update System 2020-03-12 14:26:37 UTC
anaconda-32.24.2-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2020-03-17 13:47:07 UTC
FEDORA-2020-84ddf3ee4d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-84ddf3ee4d

Comment 22 Fedora Update System 2020-03-18 02:38:33 UTC
anaconda-32.24.3-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-84ddf3ee4d

Comment 23 Fedora Update System 2020-03-22 03:09:04 UTC
anaconda-32.24.3-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.